Skills

Poll skill run events

GET
/skill-runs/{run_id}/events

Poll sanitized events after a monotonic run cursor.

Authorization

bearerApiKey
AuthorizationBearer <token>

Create a scoped API key in the Adlass settings.

In: header

Path Parameters

run_id*string

Resource identifier: run_id.

Formatuuid

Query Parameters

after_event_id?integer

Filter or parameter: after_event_id.

Range0 <= value

Header Parameters

X-Request-Id?string

Optional correlation identifier.

Lengthlength <= 128

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/skill-runs/123e4567-e89b-42d3-a456-426614174000/events"
{  "items": [    {      "id": 0,      "type": "run.completed",      "payload": {},      "actor": {        "id": "123e4567-e89b-42d3-a456-426614174000",        "email": "ada@example.com",        "name": "Customer documents",        "image_url": "example"      },      "created_at": "2026-09-04T12:00:00Z"    }  ],  "cursor": 0}